#ifndef SHADOW_SHADER_H
#define SHADOW_SHADER_H

#include "constants.h"
#include "shader.h"
#include "vec.h"

typedef struct shadow_shader ShadowShader;
struct shadow_shader {
  #include "shader_base.inc"
};

VertexData     shadow_shader_vertex(void *shader, const VertexData *vert, u8 index, const Model *model);
FragmentResult shadow_shader_fragment(void *shader, const V3f *barycentric, const V4f *colour,
                                      const Model *model);

#endif // !SHADOW_SHADER_H
